qselect.c File Reference

Quickselect: returns the k-th (zero-based) largest value in A[]. More...

`#include "slu_ddefs.h"`
Include dependency graph for qselect.c:

## Functions

double | dqselect (int n, double A[], int k)
float | sqselect (int n, float A[], int k)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Lawrence Berkeley National Laboratory.
    November, 2010

## Function Documentation

## dqselect()

double dqselect | ( | int | n,
|  | double | A[],
|  | int | k
| ) |  |

## sqselect()

float sqselect | ( | int | n,
|  | float | A[],
|  | int | k
| ) |  |